<div *ngIf="isDetailVisible" class="modal">
  <img
    src="/assets/images/close.svg"
    class="close"
    (click)="closeChartDetail()"
  />
  <pr-chart-line-detail
  [data]="data"
  [detailTitle]="settings.chartTitle"
  [settings]="settings"
  >
</pr-chart-line-detail>
</div>

<p class="chart-title">
  {{ settings.chartTitle }}
</p>

<ngx-charts-line-chart
  *ngIf="data != null"
  #chart
  [animations]="settings.animations"
  [legendPosition]="'below'"
  [view]="view"
  [scheme]="settings.colorScheme || colorScheme"
  [gradient]="settings.gradient"
  [showXAxisLabel]="settings.showXAxisLabel"
  [showYAxisLabel]="settings.showYAxisLabel"
  [xAxis]="xAxis"
  [yAxis]="yAxis"
  [xAxisLabel]="data.data.xLabel"
  [yAxisLabel]="data.data.yLabel"
  [timeline]="timeline"
  [results]="data.data.series"
  (select)="onSelect($event)"
  (activate)="onActivate($event)"
  (deactivate)="onDeactivate($event)"
>
  <ng-template #seriesTooltipTemplate let-model="model" class="series-tooltip">
    <div *ngFor="let row of model" class="series-labels">
      <span class="series-label-color" [style.background-color]="row.color"></span> {{ row.series }}: <b>{{ formatNumber(row.value) }} {{ data.metadata.unit }}</b>
    </div>
  </ng-template>

  <ng-template #tooltipTemplate let-model="model">
    {{ model.series }}
    <br />
    <b>{{ formatNumber(model.value) }} {{ data.metadata.unit }}</b>
  </ng-template>
</ngx-charts-line-chart>
<div class="chart-detail">
  <a (click)="showChartInPopup()" style="align-content: right;">+zvětšit graf</a>
</div>

<ngx-charts-legend
  [style.display]="settings.showLegend ? 'inline-block' : 'none'"
  #legend
  [height]="50"
  class="chart-legend"
  [class.left]="settings.legendPosition === 'left'"
  [class.center]="settings.legendPosition === 'center'"
  [class.right]="settings.legendPosition === 'right'"
  [data]="legendData"
  [colors]="legendColors"
  (onSelect)="legendSelect($event)"
  (labelActivate)="legendActivate($event)"
  (labelDeactivate)="legendDeactivate($event)"
>
</ngx-charts-legend>
